Skip to content
This repository
Newer
Older
100644 42 lines (34 sloc) 1.173 kb
5a3f133d »
2011-02-18 Add Gemfile, fixes #152.
1 # Why use bundler?
2 # Well, not all development dependencies install on all rubies. Moreover, `gem
3 # install sinatra --development` doesn't work, as it will also try to install
4 # development dependencies of our dependencies, and those are not conflict free.
5 # So, here we are, `bundle install`.
6 #
7 # If you have issues with on gem: `bundle install --without-coffee-script`.
8
d269bf5a »
2011-02-21 add some test guards for rbx
9 RUBY_ENGINE = 'ruby' unless defined? RUBY_ENGINE
10
11 source :rubygems unless ENV['QUICK']
5a3f133d »
2011-02-18 Add Gemfile, fixes #152.
12 gemspec
13
14 gem 'rake'
15 gem 'rack-test', '>= 0.5.6'
16
17 gem 'haml', '>= 3.0', :group => 'haml'
18 gem 'builder', :group => 'builder'
19 gem 'erubis', :group => 'erubis'
20 gem 'less', :group => 'less'
21 gem 'liquid', :group => 'liquid'
d269bf5a »
2011-02-21 add some test guards for rbx
22 gem 'RedCloth', :group => 'redcloth' unless RUBY_ENGINE == "rbx"
5a3f133d »
2011-02-18 Add Gemfile, fixes #152.
23 gem 'nokogiri', :group => 'nokogiri'
24 gem 'slim', :group => 'slim'
25
4ede00c9 »
2011-02-21 fix Gemfile for 1.8.6
26
27 if RUBY_VERSION > '1.8.6'
28 gem 'coffee-script', '>= 2.0', :group => 'coffee-script'
29 gem 'rdoc', :group => 'rdoc'
30 else
31 gem 'rack', '~> 1.1.0'
32 end
5a3f133d »
2011-02-18 Add Gemfile, fixes #152.
33
34 platforms :ruby do
35 gem 'rdiscount', :group => 'rdiscount'
36 end
37
38 platforms :ruby_18, :jruby do
39 gem 'json', :group => 'coffee-script'
40 gem 'markaby', :group => 'markaby'
41 gem 'radius', :group => 'radius'
42 end
Something went wrong with that request. Please try again.